Notification targets
Update notification target
Authorization
API key Alerts: writeAuthorizationBearer <token>
API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.
In: header
Scope: Alerts: write
Path Parameters
workspaceId*string
Format
uuidnotificationTargetId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
type*"Email"
Value in
- "Email"
state*NotificationTargetState
Value in
- "Enabled"
- "Disabled"
emailAddresses?null|array<string>
Response Body
application/json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/notification-targets/n4Tg81vBz6Rw" \ -H "Content-Type: application/json" \ -d '{ "name": "On-call e-mail", "type": "Email", "state": "Disabled", "emailAddresses": [ "on-call@example.com" ] }'Updated notification target.
{ "id": "n4Tg81vBz6Rw", "name": "On-call e-mail", "type": "Email", "state": "Disabled", "emailAddresses": [ "on-call@example.com" ], "alertRuleCount": 4}